# eoAverageStat< EOT > Class Template Reference

Average fitness of a population. More...

`#include <eoStat.h>`

Inheritance diagram for eoAverageStat< EOT >:

List of all members.

## Public Types

typedef EOT::Fitness | Fitness

## Public Member Functions

| eoAverageStat (std::string _description="Average Fitness")
| eoAverageStat (double _value, std::string _desc)
virtual void | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.
virtual std::string | className (void) const

## Static Public Member Functions

Fitness | sumFitness (double _sum, const EOT &_eot)

## Private Member Functions

template<class T>
void | doit (const eoPop< EOT > &_pop, eoParetoFitness< T >)
template<class T>
void | doit (const eoPop< EOT > &_pop, T)

## Detailed Description

### template<class EOT>
class eoAverageStat< EOT >

Average fitness of a population.

Fitness can be:

- double
- eoMinimizingFitness or eoMaximizingFitness
- eoParetoFitness: The average of each objective is evaluated.

( For eoScalarFitnessAssembled user eoAssembledFitnessStat classes.)

Definition at line 108 of file eoStat.h.

The documentation for this class was generated from the following file:

- eoStat.h